package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.dto.custom.potential.CustomListDto;
import com.crm.rely.backend.core.entity.custom.info.CustomSearchEntity;
import com.crm.rely.backend.core.entity.custom.info.CustomSearchGetEmailEntity;
import com.crm.rely.backend.core.pojo.view.CustomInfoGetEmailView;
import com.crm.rely.backend.core.pojo.view.CustomView;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by max on 2020/6/16.
 */
@Repository
public interface CustomInfoDao {

    List<CustomView> listCustom(CustomSearchEntity entity);

    List<CustomInfoGetEmailView> listCustomEmail(CustomSearchGetEmailEntity entity);

    Integer countCustom(CustomSearchEntity entity);

    Long getAgentIdById(Long id);

    List<Long> getAgentIdListByIds(List<Long> ids);

    void deleteInBatch(List<Long> ids);

    CustomView getOneByCId(Long id);

    Long getSalesIdByEmail(String email);

    List<CustomView> getUcardCustomList(CustomSearchEntity entity);
}
